/*
 * 文 件 名:  EmsDisStaCoalServiceImpl
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/12/2
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.EmsDisStaCoal;
import com.ruoyi.ems.mapper.EmsDisStaCoalMapper;
import com.ruoyi.ems.service.IEmsDisStaCoalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源折标准煤维Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-02
 */
@Service
public class EmsDisStaCoalServiceImpl implements IEmsDisStaCoalService {
    @Autowired
    private EmsDisStaCoalMapper disStaCoalMapper;

    /**
     * 查询能源折标准煤维
     *
     * @param id 能源折标准煤维主键
     * @return 能源折标准煤维
     */
    @Override
    public EmsDisStaCoal selectDisStaCoalById(Long id) {
        return disStaCoalMapper.selectDisStaCoalById(id);
    }

    @Override
    public EmsDisStaCoal selectDisStaCoalByCode(String code) {
        return disStaCoalMapper.selectDisStaCoalByCode(code);
    }

    /**
     * 查询能源折标准煤维列表
     *
     * @param disStaCoal 能源折标准煤维
     * @return 能源折标准煤维
     */
    @Override
    public List<EmsDisStaCoal> selectDisStaCoalList(EmsDisStaCoal disStaCoal) {
        return disStaCoalMapper.selectDisStaCoalList(disStaCoal);
    }

    /**
     * 新增能源折标准煤维
     *
     * @param disStaCoal 能源折标准煤维
     * @return 结果
     */
    @Override
    public int insertDisStaCoal(EmsDisStaCoal disStaCoal) {
        return disStaCoalMapper.insertDisStaCoal(disStaCoal);
    }

    /**
     * 修改能源折标准煤维
     *
     * @param disStaCoal 能源折标准煤维
     * @return 结果
     */
    @Override
    public int updateDisStaCoal(EmsDisStaCoal disStaCoal) {
        return disStaCoalMapper.updateDisStaCoal(disStaCoal);
    }

    /**
     * 删除能源折标准煤维信息
     *
     * @param id 能源折标准煤维主键
     * @return 结果
     */
    @Override
    public int deleteDisStaCoalById(Long id) {
        return disStaCoalMapper.deleteDisStaCoalById(id);
    }
}